---
title: "Improving Life-Work Balance on GitHub using per-Organisation Notification Settings"
description: "How to set up per-organisation notification settings so your personal email doesn't get work-related notifications."
tags:
- blogumentation
- github
- life-work-balance
license_code: Apache-2.0
license_prose: CC-BY-NC-SA-4.0
date: 2022-01-06T16:32:31+0000
slug: "github-org-notifications"
image: https://media.jvt.me/36fd7d2a48.png
aliases:
- /posts/2022/01/06/git-ref-github-pull-requests/
---
In early December, I was off work sick, and noticed that although I didn't have my work email set up on my phone, I was still receiving emails from work GitHub repositories as the team were continuing to work.

It was the first time I've had it where I can still be bothered by work notifications on my personal devices. As part of my role [working in the Cabinet Office](/posts/2021/08/19/joining-cabinet-office/) in a role that is working in the open, all code I commit as part of work is on GitHub.com. Additionally, I'm fortunate to take advantage of the Bring-Your-Own-Device (BYOD) policies to use my personal machines for work, so it's easier to continue to use my GitHub account instead of creating a new one just for work.

This has the side effect of me getting notifications on my personal email, or in my GitHub notifications view of everything still progressing at work, which isn't ideal, but wasn't problematic, only interesting.

As I was talking to <span class="h-card"><a class="u-url" href="https://annadodson.co.uk">Anna</a></span> over lunch about it, she mentioned that there's the ability to set up GitHub notifications per-organisation, which I'd not seen before.

This is a top tip, and works really nicely at allowing you to switch off - at least if you don't have access to your work emails - and [is documented in the GitHub docs](https://docs.github.com/en/account-and-profile/managing-subscriptions-and-notifications-on-github/setting-up-notifications/configuring-notifications#choosing-where-your-organizations-email-notifications-are-sent) how you can do it too.
